Subject: bug#30423: separate flymake into latex-flymake.el

From: Alex Branham <[email-masked]>
Date: Sun, 18 Feb 2018 19:44:20 -0600

On Sun 18 Feb 2018 at 14:14, Arash Esbati <[email-masked]> wrote:

> Alex Branham <[email-masked]> writes:

> Hi Alex,
>
> many thanks for your patch.  Some comments:
>
>> +;;; latex-flymake.el --- Flymake integration  -*- lexical-binding: t; -*-
>
> Could you please add the standard header with Copyright etc. here?

Sure thing, will include in the next patch.

>> +;;; Commentary:
>> +;; This file provides flymake integration for latex documents using
>> +;; "chktex" as a backend.  You must be running Emacs 26 or newer.
>> +;; Enable it by adding the following to your init file:
>> +
>> +;; (add-hook 'LaTeX-mode-hook flymake-mode)
>                                _/^\_
> There is a quote missing here.

Thanks, I'll add that too.

>
> Is there a reason why you didn't add this file to Makefile.in in order
> to get byte-compiled?

No, I'll do that too.

> And could you please add something to the manual?

Yes, I'd be more than happy to. Where should it go? Is a new node in the
"Display" chapter ("Controlling Screen Display") OK or should it go
somewhere else?

Thanks!
Alex